import { IStore } from '../IStore';

export class ViewConfigStore implements IStore {
  static readonly STORE_NAME = 'viewconfigs';
  readonly storeName = ViewConfigStore.STORE_NAME;

  create(db: IDBDatabase): void {
    db.createObjectStore(ViewConfigStore.STORE_NAME, { keyPath: 'id' });
  }
}
